aboutsummaryrefslogtreecommitdiff
path: root/net/socks5/files/socks5.sh.sample
diff options
context:
space:
mode:
Diffstat (limited to 'net/socks5/files/socks5.sh.sample')
-rw-r--r--net/socks5/files/socks5.sh.sample20
1 files changed, 20 insertions, 0 deletions
diff --git a/net/socks5/files/socks5.sh.sample b/net/socks5/files/socks5.sh.sample
new file mode 100644
index 000000000000..8f7373563771
--- /dev/null
+++ b/net/socks5/files/socks5.sh.sample
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -x ${PREFIX}/bin/socks5 ] && ${PREFIX}/bin/socks5 && echo -n ' socks5'
+ ;;
+stop)
+ killall socks5 && echo -n ' socks5'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0